<?
	error_reporting(0);
	session_start();
	if(!isset($_SESSION['dso_sid'])) {
		header("location: index.php");
		exit;
	}

	include("daten/datenbank.dat");
	include("module/variablen.php");
	include("module/datenbank.php");
	include("module/funktionen.php");

	$ueberschrift = array(
		"Fallnummer",
		"Geschl.",
		"Entlassungsdatum",
		"Alter (Jahre)",
		"Beatmungsstunden",
		"entlassende FAB",
		"HD",
		"ND",
		"OPS-Kode",
		"KI-Diag."
	);
	$anzeige = TRUE;
	
	if(!@file_exists("daten/bak_icd.csv")) {
		$_SESSION["meldung"] = "Sie mssen erst Filterdaten einbinden.";
		$anzeige = FALSE;
	} # if
	else if(!@file_exists("daten/fall.csv")) {
		$_SESSION["meldung"] = "Sie mssen zuerst Patientendaten einlesen.";
		$anzeige = FALSE;
	} # else if
	else {
		$sql = "SELECT ID FROM tblICD WHERE ICD_Kode IN (SELECT Kode FROM tblBAK_ICD) GROUP BY ID";
		$bak = db_lesen($sql, "1");
		if(count($bak) == 0) {
			$_SESSION["meldung"] = "Es gibt keine Patienten, die den Filterkriterien entsprechen.";
			$anzeige = FALSE;
		} # if
		else {
			$ids = implode($bak, ",");
			$sql = "SELECT ID,Geschlecht,Entlassungsdatum,Aufnahmealter,Beatmungsstunden FROM tblFall WHERE ID IN ($ids) ORDER BY ID";
			$fall = db_lesen($sql);
			for($i=0; $i<count($fall); $i++) {
				$fall[$i]["Entlassungsdatum"] = date(DATUMSFORMAT, $fall[$i]["Entlassungsdatum"]);
			} # for
			$sql = "SELECT ID,FAB FROM tblFab WHERE ID IN ($ids) ORDER BY ID";
			$tmp = db_lesen($sql);
			$j = 0;
			for($i=0; $i<count($tmp); $i++) {
				if($i != 0 and $tmp[$i]["ID"] == $tmp[$i-1]["ID"]) {
					$j--;
				} # if
				$fab[$j++] = $tmp[$i]["FAB"];
			} # for
			$sql = "SELECT ID,Diagnoseart,ICD_Kode FROM tblICD WHERE ID IN ($ids) ORDER BY ID";
			$tmp = db_lesen($sql);
			$j = 0;
			for($i=0; $i<count($tmp); $i++) {
				if($i != 0 and $tmp[$i]["ID"] != $tmp[$i-1]["ID"]) {
					$j++;
					$KI[$j] = "";
					$KI_diag[$j] = "";
				} # if
				$sql = "SELECT Indikation FROM tblBAK_KI WHERE Kode = '".$tmp[$i]["ICD_Kode"]."' LIMIT 1";
				$indikation = db_lesen($sql, "1");
				if(!empty($indikation[0])) {
					$KI_diag[$j] .= ", ".$tmp[$i]["ICD_Kode"];
					if($KI[$j] != "x")
						$KI[$j] = $indikation[0];
				} # if
				switch($tmp[$i]["Diagnoseart"]) {
					case "HD":
						$HD[$j] = $tmp[$i]["ICD_Kode"];
						break;
					case "ND":
						$ND[$j] .= ", ".$tmp[$i]["ICD_Kode"];
						break;
				} # switch
			} # for
			$sql = "SELECT ID,OPS_Kode FROM tblOPS WHERE ID IN ($ids) ORDER BY ID";
			$tmp = db_lesen($sql);
			$j = 0;
			$i = 0;
			while($i<count($tmp)) {
				if($fall[$j]["ID"] == $tmp[$i]["ID"]) {
					$ops[$j] .= ", ".$tmp[$i]["OPS_Kode"];
					$i++;
				} # if
				else
					$j++;
			} # while
			
			$datei = fopen("daten/BAK-Filter-Organspender.csv", "w")
				or die("Fehler beim Erzeugen der Datei 'BAK-Filter-Organspender.csv'.");
			fputs($datei, implode($ueberschrift, ";").";KI");
			fputs($datei, ZEILENUMBRUCH);
			for($i=0; $i<count($fall); $i++) {
				foreach($fall[$i] as $zelle) {
					fputs($datei, $zelle.";");
				}
				fputs($datei, $fab[$i].";");
				fputs($datei, $HD[$i].";");
/*
				fputs($datei, str_replace(", ", chr(10), substr($ND[$i], 2)).";");
				fputs($datei, str_replace(", ", chr(10), substr($ops[$i], 2)).";");
				fputs($datei, str_replace(", ", chr(10), substr($KI_diag[$i], 2)).";");
*/
				fputs($datei, substr($ND[$i], 2).";");
				fputs($datei, substr($ops[$i], 2).";");
				fputs($datei, substr($KI_diag[$i], 2).";");
				fputs($datei, $KI[$i]);
				fputs($datei, ZEILENUMBRUCH);
			}
			fclose($datei);

			$datei = fopen("daten/BAK-Filter-absolut.csv", "w")
				or die("Fehler beim Erzeugen der Datei 'BAK-Filter-absolut.csv'.");
			fputs($datei, implode($ueberschrift, ";").";KI");
			fputs($datei, ZEILENUMBRUCH);
			for($i=0; $i<count($fall); $i++) {
				if($KI[$i] != "absolut") {
					foreach($fall[$i] as $zelle) {
						fputs($datei, $zelle.";");
					}
					fputs($datei, $fab[$i].";");
					fputs($datei, $HD[$i].";");
					fputs($datei, substr($ND[$i], 2).";");
					fputs($datei, substr($ops[$i], 2).";");
					fputs($datei, substr($KI_diag[$i], 2).";");
					$tmp = ($KI[$i] == "relativ") ? "relativ" : " ";
					fputs($datei, $tmp);
					fputs($datei, ZEILENUMBRUCH);
				}
			}
			fclose($datei);

			$datei = fopen("daten/BAK-Filter-ohneKI.csv", "w")
				or die("Fehler beim Erzeugen der Datei 'BAK-Filter-ohneKI.csv'.");
			fputs($datei, implode($ueberschrift, ";").";KI");
			fputs($datei, ZEILENUMBRUCH);
			for($i=0; $i<count($fall); $i++) {
				if(empty($KI[$i])) {
					foreach($fall[$i] as $zelle) {
						fputs($datei, $zelle.";");
					}
					fputs($datei, $fab[$i].";");
					fputs($datei, $HD[$i].";");
					fputs($datei, substr($ND[$i], 2).";");
					fputs($datei, substr($ops[$i], 2)."; ; ");
					fputs($datei, ZEILENUMBRUCH);
				}
			}
			fclose($datei);			
			} # else
	} # else
	
	include("inhalt/seitenkopf.htm");

	echo seitentitel("Filter nach Bundesrztekammer");	
	meldung_anzeigen();

	if ($anzeige == TRUE) {
?>
	<p>Als CSV-Datei speichern: <a href="daten/BAK-Filter-Organspender.csv" target="_blank">Organspender</a> - 
		<a href="daten/BAK-Filter-absolut.csv" target="_blank">KI absolut</a> -
		<a href="daten/BAK-Filter-ohneKI.csv" target="_blank">ohne KI</a> 
		<span class="hinweis">(Rechtsklick und 'Ziel speichern unter ...' whlen)</span></p>
<?
		include("inhalt/tabelle.htm");
	}
	include("inhalt/seitenfuss.htm");
?>