<?
	/********************************************************************************************************************
		Modul:		Funktionen
		Einsatz:	Seitenkopf
		Erstellt:	10.01.2009	JYN	
		
		nderungen:	xx.xx.xxxx  xx	...
	********************************************************************************************************************/

	/********************************************************************************************************************
		Ein String wird mit Zeichen an den Positionen aufgefllt und zurckgeben. Dabei steht '#' fr das originale
		Zeichen im String. Alle anderen Zeichen in der Formatierung werden eingefgt.
			Beispiel:	echo str_format("A123bc", "#-###.##");
			Ergebnis:	A-123.bc
	********************************************************************************************************************/

	function str_format($string, $muster) {
		$format = "";
		$s = 0;
		$e = 0;
		$t = 0;
		for($i=0; $i<strlen($muster); $i++) {
			if($i > strlen($string))
				break;
			$zeichen = substr($muster, $i, 1);
			if(strtolower($zeichen) != "#") {
				$format .= substr($string, $s, $e).$zeichen;
				$s = $i-$t;
				$t++;
				$e = -1;
			}
			$e++;
		}
		$format .= substr($string, $s);
		return $format;
	}

	/********************************************************************************************************************
		Meldung anzeigen
	********************************************************************************************************************/

	function meldung_anzeigen() {
		if(!empty($_SESSION["meldung"])) {
			echo "<h3>".$_SESSION["meldung"]."</h3>";
			$_SESSION["meldung"] = "";
		}
	}
	
	/********************************************************************************************************************
		Seitentitel ausgeben
	********************************************************************************************************************/
	function seitentitel() {
		$anz = func_num_args();
		if($anz == 0)
			return FALSE;
		$par = func_get_args();
		$ret = "	<h2>";
		foreach($par as $p)
			$ret .= $p." - ";
		return substr($ret, 0, -3)."</h2>\n";
	}

	/********************************************************************************************************************
		Konvertiert ein Datum (TT.MM.JJJJ) in einen Zeitstempel (Sekunden seit dem 1.1.1970, 0 Uhr)
	********************************************************************************************************************/
	function datetotime($datum) {
		$jahr = 	substr($datum,  0, 4);
		$monat = 	substr($datum,  4, 2);
		$tag = 		substr($datum,  6, 2);
		$stunde = 	substr($datum,  8, 2);
		$minute = 	substr($datum, 10, 2);
		return mktime($stunde, $minute, 0, $monat, $tag, $jahr);
	}

	/********************************************************************************************************************
		Erzeugt ein Formularfeld fr die Eingabe / Bearbeitung eines Datensatzes
		Parameter:	$formular		Array mit den db_*-Typen aus der Datei 'variablen.php'
					$positionsname	Feldname aus der Datenbank (Bsp. 'anIdent')
					$vorgabe		Defaultwert bzw. vorhandener Wert aus der Datenbank
					$auswahl 		Array mit den <option value='v'>text</option> (Muster: array(v1|text1, v2|text2, ...)
									(wird nur bei FORMTYP 'select' bentigt, sonst leer)
	********************************************************************************************************************/
	function formularfeld($formular, $positionsname, $vorgabe, $auswahl) {
		$position = 0;
		while($formular[$position][FELDNAME] != $positionsname) {
			$position++;
		}
		switch($formular[$position][FORMTYP]) {
			case "text":
				$ausgabe  = '<input type="text" ';
				$ausgabe .= 'name="'.$formular[$position][FELDNAME].'" ';
				$ausgabe .= 'size="'.$formular[$position][FORMLAENGE].'" ';
				$ausgabe .= 'maxlength="'.$formular[$position][FELDLAENGE].'" ';
				$ausgabe .= 'value="'.$vorgabe.'">';
				break;
			case "janein":
				$ausgabe  = '<input type="radio" name="'.$formular[$position][FELDNAME].'" value="'.JA.'" class="ohne"';
				if($vorgabe == JA) $ausgabe .= ' checked';
				$ausgabe .= '>ja&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
				$ausgabe .= '<input type="radio" name="'.$formular[$position][FELDNAME].'" value="'.NEIN.'" class="ohne"';
				if($vorgabe == NEIN) $ausgabe .= ' checked';
				$ausgabe .= '>nein';
				break;
			case "select":
				$ausgabe  = '<select name="'.$formular[$position][FELDNAME].'">';
				for($i=0; $i<count($auswahl); $i++) {
					$auswahlpunkt = explode("|", $auswahl[$i]);
					$ausgabe .= '<option value="'.$auswahlpunkt[0].'"';
					if($auswahlpunkt[0] == $vorgabe) {
						$ausgabe .= ' selected';
					}
					$ausgabe .= '>'.$auswahlpunkt[1].'</option>';
				}
				$ausgabe .= '</select>';
				break;
			default:
				$ausgabe = '- FALSCHER FORMULARTYP -';
		}
		return $ausgabe;
	}

?>